Spring 5 with Thymeleaf 3.0.2?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Spring 5 with Thymeleaf 3.0.2?

Mike
Started a new Boot project (2.0.0.BUILD-SNAPSHOT) which includes Spring 5.0.0.BUILD-* and the Thymeleaf version is  2.1.5.RELEASE.

Is there any reason not to upgrade to Thymeleaf 3.0.2.RELEASE and are there any known issues with Spring 5?

Thanks.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Spring 5 with Thymeleaf 3.0.2?

danielfernandez
Administrator
You should be able to configure Thymeleaf 3 in Spring Boot 1.4 or 2.0 following this instructions: http://docs.spring.io/spring-boot/docs/current-SNAPSHOT/reference/htmlsingle/#howto-use-thymeleaf-3

As for Spring 5, we still don't have a specific module for Spring 5, but everything should work using thymeleaf-spring4. Besides, we are working in specific integrations to give support to the Spring Web Reactive module in Spring 5, so that you can use Thymeleaf as a reactive-friendly template engine in Spring 5. See it at https://github.com/thymeleaf/thymeleafsandbox-springreactive (which, by the way, is a Spring Boot 2.0.0-SNAPSHOT-enabled web application you can use as a model --- except for the fact it is reactive :)).

Regards,
Daniel.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Spring 5 with Thymeleaf 3.0.2?

Mike
Excellent. I missed the bit in the Spring Boot current doc, thanks for the link.

I was going to put off using Reactive but I may have to take the plunge (I'm building a "smart" feed reader).

Thanks for the quick response.
Loading...